package aufgabe2b;

/**
 * Generic test class for testing the Fliegen interface
 *                _ _   _               _
 * __      ___ __(_) |_| |_ ___ _ __   | |__  _   _
 * \ \ /\ / / '__| | __| __/ _ \ '_ \  | '_ \| | | |
 *  \ V  V /| |  | | |_| ||  __/ | | | | |_) | |_| |
 *   \_/\_/ |_|  |_|\__|\__\___|_| |_| |_.__/ \__, |
 *                                            |___/
 *  ____                  __     __               _
 * / ___|_   _____ _ __   \ \   / /__   __ _  ___| |
 * \___ \ \ / / _ \ '_ \   \ \ / / _ \ / _` |/ _ \ |
 *  ___) \ V /  __/ | | |   \ V / (_) | (_| |  __/ |
 * |____/ \_/ \___|_| |_|    \_/ \___/ \__, |\___|_|
 *                                     |___/
 * Licensed under the GPLv2 License, Version 2.0 (the "License");
 * Copyright (c) Sven Vogel
 */
public final class Main {

    /**
     * Calls fliegen() on the given Object
     * @param sehrDickerBrummer the object to call fliegen() on
     */
    private static void abflug(Fliegen sehrDickerBrummer) {
        sehrDickerBrummer.fliegen();
    }

    public static void main(String[] args) {
        var maja = new Biene();
        var gunter = new Taube();

        abflug(maja);
        abflug(gunter);
    }
}
