package aufgabe3;

/**
 * Generic test class defining metadata for sending a packet
 *                _ _   _               _
 * __      ___ __(_) |_| |_ ___ _ __   | |__  _   _
 * \ \ /\ / / '__| | __| __/ _ \ '_ \  | '_ \| | | |
 *  \ V  V /| |  | | |_| ||  __/ | | | | |_) | |_| |
 *   \_/\_/ |_|  |_|\__|\__\___|_| |_| |_.__/ \__, |
 *                                            |___/
 *  ____                  __     __               _
 * / ___|_   _____ _ __   \ \   / /__   __ _  ___| |
 * \___ \ \ / / _ \ '_ \   \ \ / / _ \ / _` |/ _ \ |
 *  ___) \ V /  __/ | | |   \ V / (_) | (_| |  __/ |
 * |____/ \_/ \___|_| |_|    \_/ \___/ \__, |\___|_|
 *                                     |___/
 * Licensed under the GPLv2 License, Version 2.0 (the "License");
 * Copyright (c) Sven Vogel
 */
public class PostPacket implements Adressierbar, Versendbar {

    /**
     * From who the packet was send
     */
    private String from;
    /**
     * Who should receive the packet
     */
    private String to;
    /**
     * How much the package weighs
     */
    private int weight;

    public PostPacket(String from, String to, int weight) {
        this.from = from;
        this.to = to;
        this.weight = weight;
    }

    @Override
    public void setEmfaenger(String adresse) {
        this.to = adresse;
    }

    @Override
    public String getEmfaenger() {
        return this.to;
    }

    @Override
    public void setAbsender(String absender) {
        this.from = absender;
    }

    @Override
    public String getAbsender() {
        return this.from;
    }

    @Override
    public int getGewicht() {
        return this.weight;
    }
}