package aufgabe3;

/**
 * Generic test class defining a post office ready to send packages
 *                _ _   _               _
 * __      ___ __(_) |_| |_ ___ _ __   | |__  _   _
 * \ \ /\ / / '__| | __| __/ _ \ '_ \  | '_ \| | | |
 *  \ V  V /| |  | | |_| ||  __/ | | | | |_) | |_| |
 *   \_/\_/ |_|  |_|\__|\__\___|_| |_| |_.__/ \__, |
 *                                            |___/
 *  ____                  __     __               _
 * / ___|_   _____ _ __   \ \   / /__   __ _  ___| |
 * \___ \ \ / / _ \ '_ \   \ \ / / _ \ / _` |/ _ \ |
 *  ___) \ V /  __/ | | |   \ V / (_) | (_| |  __/ |
 * |____/ \_/ \___|_| |_|    \_/ \___/ \__, |\___|_|
 *                                     |___/
 * Licensed under the GPLv2 License, Version 2.0 (the "License");
 * Copyright (c) Sven Vogel
 */
public final class Postamt {

    /**
     * Does not try to send a packet send by send with destination to.
     * But it does print some information to System.out.
     * @param packet the packet not to send
     */
    public void versende(Versendbar packet) {
        System.out.println("Sendung wurde entgegengenommen und wird jetzt versandt.");
        System.out.println("Absender: " + packet.getAbsender());
        System.out.println("Empfänger: " + packet.getEmfaenger());
    }
}
