package aufgabe4;

import org.junit.Test;

import static aufgabe4.Verschluesselung.entschluesseln;
import static aufgabe4.Verschluesselung.verschluesseln;

/**
 * Generic test class testing the caesar chiffre
 *                _ _   _               _
 * __      ___ __(_) |_| |_ ___ _ __   | |__  _   _
 * \ \ /\ / / '__| | __| __/ _ \ '_ \  | '_ \| | | |
 *  \ V  V /| |  | | |_| ||  __/ | | | | |_) | |_| |
 *   \_/\_/ |_|  |_|\__|\__\___|_| |_| |_.__/ \__, |
 *                                            |___/
 *  ____                  __     __               _
 * / ___|_   _____ _ __   \ \   / /__   __ _  ___| |
 * \___ \ \ / / _ \ '_ \   \ \ / / _ \ / _` |/ _ \ |
 *  ___) \ V /  __/ | | |   \ V / (_) | (_| |  __/ |
 * |____/ \_/ \___|_| |_|    \_/ \___/ \__, |\___|_|
 *                                     |___/
 * Licensed under the GPLv2 License, Version 2.0 (the "License");
 * Copyright (c) Sven Vogel
 */
public class TestCaesarChiffre {

    @Test
    public void test() {
        var text = "abcdefghijklmnopqrstuvwxyz";

        var chiffre = new CaesarChiffre(1);

        var encrypted = verschluesseln(text, chiffre);
        System.out.println(encrypted);

        var decrypted = entschluesseln(encrypted, chiffre);
        System.out.println(decrypted);
    }
}
